Page MenuHomePhabricator

TableGen: Allow arbitrary list values as ranges of foreach
ClosedPublic

Authored by nhaehnle on Mar 5 2018, 12:18 PM.

Details

Summary

The changes to FieldInit are required to make field references (Def.field)
work inside a ForeachDeclaration: previously, Def.field wasn't resolved
immediately when Def was already a fully resolved DefInit.

Change-Id: I9875baec2fc5aac8c2b249e45b9cf18c65ae699b

Diff Detail

Event Timeline

nhaehnle created this revision.Mar 5 2018, 12:18 PM
tra accepted this revision.Mar 6 2018, 11:41 AM
This revision is now accepted and ready to land.Mar 6 2018, 11:41 AM
nhaehnle closed this revision.Mar 14 2018, 3:46 AM